Issues

ZF-8101: Allow Zend_Validate_Barcode to provide options to adapters

Issue Type: Improvement Created: 2009-10-19T13:34:18.000+0000 Last Updated: 2009-10-26T11:45:12.000+0000 Status: Resolved Fix version(s): - 1.10.0 (27/Jan/10)

Reporter: Mickael Perraud (mikaelkael) Assignee: Thomas Weidner (thomas) Tags: - Zend_Validate

Related issues: Attachments:

Description

Current implementation of Zend_Validate_Barcode doesn't allow to provide options to a specific barcode validator:

<pre class="highlight">
$validator = new Zend_Validate_Barcode('upc');

Even if a Zend_Config (but not an array!) is allowed, only the barcode type option is used.

To create new validators (Code39, Code25...) that, for example, can contain (or not) a checksum and use them with Zend_Validate_Barcode, it should interessant to allow to set options.

<pre class="highlight">
$validator = new Zend_Validate_Barcode(array('barcode' => 'code25', 'withChecksum' => false));

Comments

Posted by Thomas Weidner (thomas) on 2009-10-26T11:45:10.000+0000

Reworked component actually within incubator. Therefor closing as fixed.

Have you found an issue?

See the Overview section for more details.

Copyright

© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.

Contacts